Subject: bug#18891: Doesn't handle pwd = /C: very well

From: Michael Albinus <[email-masked]>
Date: Wed, 05 Nov 2014 21:04:00 +0100

Glenn Morris <[email-masked]> writes:

> Well, Emacs starts now.
> It still prints
>     
>     Tramp: Opening connection for C using scp...
>     Opening connection for C using scp... \
>     Tramp: Sending command `exec ssh    -e none C'
>     Tramp: Waiting for prompts from remote shell...
>     Waiting for prompts from remote shell... \
>     Tramp: Waiting for prompts from remote shell...failed
>     Tramp: Opening connection for C using scp...failed

This is expected. But I've suppressed the 30 sec pause now, do you see?

> in the terminal, and C-x C-f shows the prompt as the weird-looking:
>
>     Find file: /:/C:/
>
> but if that is how it has to be, so be it.

*This* shall work. Prefixing absolute file names with "/:" shall suppress
all file name handlers, see (info "(emacs) Quoted File Names")

> Trying to visit a new file fails though:
>
>    C-x C-f bar RET
>
> since it again tries to do something via Tramp and fails.

Unfortune, yes. But how often does it happen, that your default
directory has such a value like "/C:/" ?

Anyway, I will check how I could convince Tramp that "/:/C:/bar"
shouldn't be touched.

Best regards, Michael.